1. masterprosync

    OP masterprosync Member
    Newcomer

    Joined:
    Sep 29, 2019
    Messages:
    16
    Country:
    Malaysia
    My switch running OFW version 10.0.4 with Atmosphere CFW

    My question,
    Should i upgrade OFW version? or stay?
    OFW version 10.0.4 can play latest games with sigpatched?
     
  2. godreborn

    godreborn GBAtemp Legend
    Member

    Joined:
    Oct 10, 2009
    Messages:
    17,327
    Country:
    United States
    I just got trails of cold steel iv yesterday. I just downloaded the nsp today. I think it said it required 10.2. that's probably the most recent game, but the day one update requires 11.1 iirc. you can probably patch the min. system version for that. I don't know much about switch hacking though, just download games I've bought for safe keeping, but I always rename, convert, and compress them as well as check them for malicious stuff. I've yet to encounter one of those. so, I know something about doing that at least.
     
  3. Draxzelex

    Draxzelex GBAtemp Legend
    Member

    Joined:
    Aug 6, 2017
    Messages:
    14,925
    Country:
    United States
    There is no "most stable" firmware version however there is definitely no need to update to firmware 12.0. I have seen some people claim certain games and updates require firmware 11.X but unless you need to update, you don't have to update. Many users encounters issues the moment they update so hold off until the need arises then do your research.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - version, stable,